<?php

use App\Controllers\AuthController;
use App\Controllers\SetController;
use App\Http\Middleware\AuthMiddleware;
use Illuminate\Support\Facades\Route;

Route::post('/login', [AuthController::class, 'login']);
Route::post('/logout', [AuthController::class, 'logout']);
Route::get('/me', [AuthController::class, 'me'])
    ->middleware(AuthMiddleware::class);
Route::get('/sets', [SetController::class, 'index']);
